Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PG_Location_Map.h File Reference

`#include "ace/config-all.h"`
`#include "PG_Location_Hash.h"`
`#include "PG_Location_Equal_To.h"`
`#include "orbsvcs/PortableGroupC.h"`
`#include "ace/Array_Base.h"`
`#include "ace/Hash_Map_Manager_T.h"`

Include dependency graph for PG_Location_Map.h:

This graph shows which files directly or indirectly include this file:

## Typedefs
typedef ACE_Array_Base< TAO_PG_ObjectGroup_Map_Entry * > | TAO_PG_ObjectGroup_Array
typedef ACE_Hash_Map_Manager_Ex< PortableGroup::Location, TAO_PG_ObjectGroup_Array *, TAO_PG_Location_Hash, TAO_PG_Location_Equal_To, ACE_Null_Mutex > | TAO_PG_Location_Map
| Location hash map.

## Detailed Description

Id:
  PG_Location_Map.h,v 1.3 2003/12/22 01:44:38 wilson_d Exp

Author:
  Ossama Othman <ossama@uci.edu>

## Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex< PortableGroup::Location, TAO_PG_ObjectGroup_Array *, TAO_PG_Location_Hash, TAO_PG_Location_Equal_To, ACE_Null_Mutex> TAO_PG_Location_Map

| Location hash map.

typedef ACE_Array_Base<TAO_PG_ObjectGroup_Map_Entry *> TAO_PG_ObjectGroup_Array